org.jboss.netty.handler.codec.marshalling

## Class DefaultUnmarshallerProvider

- java.lang.Object
- - org.jboss.netty.handler.codec.marshalling.DefaultUnmarshallerProvider

All Implemented Interfaces:
  UnmarshallerProvider

Direct Known Subclasses:
  ContextBoundUnmarshallerProvider

    public class DefaultUnmarshallerProvider
    extends Object
    implements UnmarshallerProvider

Default implementation of `UnmarshallerProvider` which will just create a new `Unmarshaller` on every call to `getUnmarshaller(ChannelHandlerContext)`

### Constructor Summary

Constructors
Constructor and Description
`DefaultUnmarshallerProvider(org.jboss.marshalling.MarshallerFactory factory, org.jboss.marshalling.MarshallingConfiguration config)` Create a new instance of `DefaultMarshallerProvider`

### Method Summary

Methods
`org.jboss.marshalling.Unmarshaller` `getUnmarshaller(ChannelHandlerContext ctx)` Get the `Unmarshaller` for the given `ChannelHandlerContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultUnmarshallerProvider

    public DefaultUnmarshallerProvider(org.jboss.marshalling.MarshallerFactory factory,
                               org.jboss.marshalling.MarshallingConfiguration config)

Create a new instance of `DefaultMarshallerProvider`

Parameters:
  `factory` - the `MarshallerFactory` to use to create `Unmarshaller`
  `config` - the `MarshallingConfiguration`

### Method Detail

#### getUnmarshaller

    public org.jboss.marshalling.Unmarshaller getUnmarshaller(ChannelHandlerContext ctx)
                                                       throws Exception

Description copied from interface: `UnmarshallerProvider`
Get the `Unmarshaller` for the given `ChannelHandlerContext`

Specified by:
  `getUnmarshaller` in interface `UnmarshallerProvider`
Throws:
  `Exception`